ランタイム: Mix::Scene::IActorDynamicsDirector::ICollection< T > Class Template Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IActorDynamicsDirector::ICollection< T > Class Template Referenceabstract

コレクションインターフェース More...

`#include <IActorDynamicsDirector.h>`

Inheritance diagram for Mix::Scene::IActorDynamicsDirector::ICollection< T >:
[legend]
Collaboration diagram for Mix::Scene::IActorDynamicsDirector::ICollection< T >:
[legend]

## Public Member Functions

virtual UInt32 | GetCount (void) const =0
| オブジェクトの数を取得します More...
virtual Boolean | Get (UInt32 index, T **ppObject)=0
| オブジェクトを取得します More...
virtual T * | operator[] (UInt32 index) const =0
| オブジェクトを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ICollection (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

### template<typename T>
class Mix::Scene::IActorDynamicsDirector::ICollection< T >

コレクションインターフェース

Template Parameters

  T | オブジェクトの型

## Constructor & Destructor Documentation

template<typename T>

virtual Mix::Scene::IActorDynamicsDirector::ICollection< T >::~ICollection | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

template<typename T>

virtual UInt32 Mix::Scene::IActorDynamicsDirector::ICollection< T >::GetCount | ( | void |  | ) | const

pure virtual

オブジェクトの数を取得します

Returns
  オブジェクトの数を返します

template<typename T>

virtual Boolean Mix::Scene::IActorDynamicsDirector::ICollection< T >::Get | ( | UInt32 | index,
|  | T ** | ppObject
| ) |  |

pure virtual

オブジェクトを取得します

Parameters

  [in] | index | インデックス
  [out] | ppObject | 取得したオブジェクトのポインタのアドレスを返します

Returns
  成功した場合は True を返します

Note
  取得したオブジェクトは参照カウンタを +1 します

template<typename T>

virtual T* Mix::Scene::IActorDynamicsDirector::ICollection< T >::operator[] | ( | UInt32 | index | ) | const

pure virtual

オブジェクトを取得します

Parameters

  [in] | index | インデックス

Returns
  成功した場合はオブジェクトのポインタを返します。
  また失敗した場合は NULL を返します。

Note
  オブジェクトのポインタを返すだけで、参照カウンタはインクリメントされませんので注意してください。

The documentation for this class was generated from the following file:

- Mix/Scene/IActorDynamicsDirector.h